hist: Trade history

API: bitfinex.com:bitfinex
Endpoint: /trades/{symbol}/hist
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 185ms

Description

Returns public trade history showing executed trades with trade ID, timestamp, amount, and price. Use this to analyze recent market activity and price action.

From spec: Returns public trade history for a symbol.

Usage Tips

- Symbol format: tBTCUSD (t prefix for trading pairs) - Query param 'limit' controls number of trades (max 500) - Returns [ID, MTS, AMOUNT, PRICE] arrays - Sort is reverse chronological (newest first) - Use 'start' and 'end' for historical queries

Parameters (5)

end (integer, query, optional)

End timestamp in milliseconds

limit (integer, query, optional, default: 125)

Number of records (max 10000)

Constraints: {'maximum': 10000}

sort (integer, query, optional)

Sort order: +1 for ascending, -1 for descending

Constraints: {'enum': [-1, 1]}

start (integer, query, optional)

Start timestamp in milliseconds

symbol (string, path, required)

Trading pair symbol (e.g., tBTCUSD)

Examples (1)

Get BTC/USD trade history probe-gate

Demonstrates fetching the 5 most recent trades for the BTC/USD trading pair

curl 'https://api-pub.bitfinex.com/v2/trades/tBTCUSD/hist?limit=5'
import requests

resp = requests.get(
    "https://api-pub.bitfinex.com/v2/trades/tBTCUSD/hist",
    params={
        'limit': '5',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("bitfinex")
result = api.fetch("trades/{symbol}/hist", limit=5)

for item in result:
    print(item)
const resp = await fetch("https://api-pub.bitfinex.com/v2/trades/tBTCUSD/hist?limit=5");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:05:43.144114 200 185ms
2026-04-15 00:20:01.487786 200 208ms
2026-04-14 00:18:23.964565 200 197ms
2026-04-12 13:28:54.050022 200 179ms
2026-04-10 04:26:38.614589 200 96ms
2026-04-09 03:20:40.675606 200 184ms
2026-04-08 07:52:57.046617 200 205ms
2026-04-07 01:01:35.728557 200 207ms
2026-04-06 04:07:59.368738 200 214ms
2026-04-05 02:23:25.167329 200 207ms